Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007125TestLinkReportspublic2015-05-20 09:212015-05-28 11:58
Reporteranushajoisa 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS VersionServer 2012 R2
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007125: Test Report which depicts overall metrics (latest execution) for each user and allows filtering based on execution status
DescriptionThe 'Overall Metrics' pie chart depicts the execution data for the Test Plans across all builds, taking the latest execution into account.

A report can be implemented to depict the same overall metrics, but for each user. Using this we would like to be able to filter test cases that are say "Not Run" across all builds (latest execution only across all the builds) of the Test Plan and are assigned to a particular tester.

Currently, through the Test Report 'Results by Tester per Build', we can see the execution status of all test cases assigned to a particular user, but this is segregated build-wise.

With the implementation of the new report, we can see the latest execution of all test cases assigned to the user across the builds of the Test Plan, other wise it is very difficulty to get the latest execution across all builds.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MSSQL
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007131closedfman Test Results Flat (ONLY Spreadsheet format) - to allow further processing by user 

-  Notes
(0023383)
fman (administrator)
2015-05-20 18:24
edited on: 2015-05-20 18:29

>> Currently, through the Test Report 'Results by Tester per Build', we can see the execution
>> status of all test cases assigned to a particular user, but this is segregated build-wise.
That's why is called 'Results by Tester per Build'


>> latest execution only across all the builds
There is no such concept like latest on ALL BUILDS, and this can not produce a single status as results, if test case has been executed

Requirement is at least for me far from clear.
Please explain better:
1) what is the use case,
2) what question do you want to answer.

is your concern to know what test cases have been ever executed on all available builds for a Test Plan, with tester information?

(0023387)
anushajoisa (reporter)
2015-05-21 15:41

Yes, the concern is to know what test cases have been ever executed on all available builds for a Test Plan with Tester information.
(0023388)
fman (administrator)
2015-05-21 15:42

ok, try to focus better your requests, because effort changes a lot
(0023390)
fman (administrator)
2015-05-22 10:11

have you tried the not run test case, report ?
(0023391)
anushajoisa (reporter)
2015-05-22 16:18

Yes, it shows all the test cases that have been assigned to Testers and have not been run. This data is shown for every build in the Test Plan.

Suppose test case TC1 was executed in build B1, but not in build B2. If this Test Plan has many builds and test cases then it will be hard to find out all the test cases that have been ever executed.

A Test Report is there which will show only the latest execution for each user (if a test case TC1 has been executed as PASS in build B1 and not executed in build B2, it is considered as executed and its latest execution is PASS). This is nothing but the data which shows test cases that have ever been executed on all available builds for each Tester.
(0023395)
fman (administrator)
2015-05-24 15:08

Please give a look to 0007131, to understand if using this spreadsheet output you will be able (using pivot tables and filters) to get info you need.
IMHO using this source of info you will be get more different views without need to request new developments.
(0023416)
fman (administrator)
2015-05-28 11:58

no more user feedback

- Issue History
Date Modified Username Field Change
2015-05-20 09:21 anushajoisa New Issue
2015-05-20 18:24 fman Note Added: 0023383
2015-05-20 18:25 fman Note Edited: 0023383 View Revisions
2015-05-20 18:27 fman Note Edited: 0023383 View Revisions
2015-05-20 18:27 fman Note View State: 0023383: public
2015-05-20 18:29 fman Note Edited: 0023383 View Revisions
2015-05-21 15:41 anushajoisa Note Added: 0023387
2015-05-21 15:42 fman Note Added: 0023388
2015-05-22 10:11 fman Note Added: 0023390
2015-05-22 16:18 anushajoisa Note Added: 0023391
2015-05-23 08:40 fman Note Added: 0023392
2015-05-23 14:43 fman Note Deleted: 0023392
2015-05-24 15:04 fman Relationship added related to 0007131
2015-05-24 15:08 fman Note Added: 0023395
2015-05-24 15:09 fman Assigned To => fman
2015-05-24 15:09 fman Status new => feedback
2015-05-28 11:58 fman QA Team - Task Workflow Status => TBD
2015-05-28 11:58 fman Note Added: 0023416
2015-05-28 11:58 fman Status feedback => closed
2015-05-28 11:58 fman Resolution open => fixed
2015-05-28 11:58 fman Fixed in Version => 1.9.14 (2015 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker